<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [Session](./sip.js.session.md)

## Session class

A session provides real time communication between one or more participants.

<b>Signature:</b>

```typescript
export declare abstract class Session 
```

## Remarks

The transport behaves in a deterministic manner according to the the state defined in [SessionState](./sip.js.sessionstate.md)<!-- -->.

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `Session` class.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [assertedIdentity](./sip.js.session.assertedidentity.md) |  | NameAddrHeader \| undefined | The asserted identity of the remote user. |
|  [data](./sip.js.session.data.md) |  | unknown | Property reserved for use by instance owner. |
|  [delegate](./sip.js.session.delegate.md) |  | [SessionDelegate](./sip.js.sessiondelegate.md) \| undefined | The session delegate. |
|  [dialog](./sip.js.session.dialog.md) |  | SessionDialog \| undefined | The confirmed session dialog. |
|  [id](./sip.js.session.id.md) |  | string | A unique identifier for this session. |
|  [localIdentity](./sip.js.session.localidentity.md) |  | NameAddrHeader | The identity of the local user. |
|  [logger](./sip.js.session.logger.md) |  | Logger | Logger. |
|  [remoteIdentity](./sip.js.session.remoteidentity.md) |  | NameAddrHeader | The identity of the remote user. |
|  [replacee](./sip.js.session.replacee.md) |  | [Session](./sip.js.session.md) \| undefined | The session being replace by this one. |
|  [sessionDescriptionHandler](./sip.js.session.sessiondescriptionhandler.md) |  | [SessionDescriptionHandler](./sip.js.sessiondescriptionhandler.md) \| undefined | Session description handler. |
|  [sessionDescriptionHandlerFactory](./sip.js.session.sessiondescriptionhandlerfactory.md) |  | [SessionDescriptionHandlerFactory](./sip.js.sessiondescriptionhandlerfactory.md) | Session description handler factory. |
|  [sessionDescriptionHandlerModifiers](./sip.js.session.sessiondescriptionhandlermodifiers.md) |  | Array&lt;[SessionDescriptionHandlerModifier](./sip.js.sessiondescriptionhandlermodifier.md)<!-- -->&gt; | SDH modifiers for the initial INVITE transaction. |
|  [sessionDescriptionHandlerModifiersReInvite](./sip.js.session.sessiondescriptionhandlermodifiersreinvite.md) |  | Array&lt;[SessionDescriptionHandlerModifier](./sip.js.sessiondescriptionhandlermodifier.md)<!-- -->&gt; | SDH modifiers for re-INVITE transactions. |
|  [sessionDescriptionHandlerOptions](./sip.js.session.sessiondescriptionhandleroptions.md) |  | [SessionDescriptionHandlerOptions](./sip.js.sessiondescriptionhandleroptions.md) | SDH options for the initial INVITE transaction. |
|  [sessionDescriptionHandlerOptionsReInvite](./sip.js.session.sessiondescriptionhandleroptionsreinvite.md) |  | [SessionDescriptionHandlerOptions](./sip.js.sessiondescriptionhandleroptions.md) | SDH options for re-INVITE transactions. |
|  [state](./sip.js.session.state.md) |  | [SessionState](./sip.js.sessionstate.md) | Session state. |
|  [stateChange](./sip.js.session.statechange.md) |  | [Emitter](./sip.js.emitter.md)<!-- -->&lt;[SessionState](./sip.js.sessionstate.md)<!-- -->&gt; | Session state change emitter. |
|  [userAgent](./sip.js.session.useragent.md) |  | [UserAgent](./sip.js.useragent.md) | The user agent. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [bye(options)](./sip.js.session.bye.md) |  | End the [Session](./sip.js.session.md)<!-- -->. Sends a BYE. |
|  [dispose()](./sip.js.session.dispose.md) |  | Destructor. |
|  [info(options)](./sip.js.session.info.md) |  | Share [Info](./sip.js.info.md) with peer. Sends an INFO. |
|  [invite(options)](./sip.js.session.invite.md) |  | Renegotiate the session. Sends a re-INVITE. |
|  [message(options)](./sip.js.session.message.md) |  | Deliver a [Message](./sip.js.message.md)<!-- -->. Sends a MESSAGE. |
|  [refer(referTo, options)](./sip.js.session.refer.md) |  | Proffer a [Referral](./sip.js.referral.md)<!-- -->. Send a REFER. |

