<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [DialogState](./sip.js.dialogstate.md)

## DialogState interface

Dialog state.

<b>Signature:</b>

```typescript
export interface DialogState 
```

## Remarks

A dialog contains certain pieces of state needed for further message transmissions within the dialog. This state consists of the dialog ID, a local sequence number (used to order requests from the UA to its peer), a remote sequence number (used to order requests from its peer to the UA), a local URI, a remote URI, remote target, a boolean flag called "secure", and a route set, which is an ordered list of URIs. The route set is the list of servers that need to be traversed to send a request to the peer. A dialog can also be in the "early" state, which occurs when it is created with a provisional response, and then transition to the "confirmed" state when a 2xx final response arrives. For other responses, or if no response arrives at all on that dialog, the early dialog terminates.

https://tools.ietf.org/html/rfc3261\#section-12

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [callId](./sip.js.dialogstate.callid.md) |  | string |  |
|  [early](./sip.js.dialogstate.early.md) |  | boolean |  |
|  [id](./sip.js.dialogstate.id.md) |  | string |  |
|  [localSequenceNumber](./sip.js.dialogstate.localsequencenumber.md) |  | number \| undefined |  |
|  [localTag](./sip.js.dialogstate.localtag.md) |  | string |  |
|  [localURI](./sip.js.dialogstate.localuri.md) |  | [URI](./sip.js.uri.md) |  |
|  [remoteSequenceNumber](./sip.js.dialogstate.remotesequencenumber.md) |  | number \| undefined |  |
|  [remoteTag](./sip.js.dialogstate.remotetag.md) |  | string |  |
|  [remoteTarget](./sip.js.dialogstate.remotetarget.md) |  | [URI](./sip.js.uri.md) |  |
|  [remoteURI](./sip.js.dialogstate.remoteuri.md) |  | [URI](./sip.js.uri.md) |  |
|  [routeSet](./sip.js.dialogstate.routeset.md) |  | Array&lt;string&gt; |  |
|  [secure](./sip.js.dialogstate.secure.md) |  | boolean |  |

