<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [InviteClientTransaction](./sip.js.inviteclienttransaction.md) &gt; [ackResponse](./sip.js.inviteclienttransaction.ackresponse.md)

## InviteClientTransaction.ackResponse() method

ACK a 2xx final response.

The transaction includes the ACK only if the final response was not a 2xx response (the transaction will generate and send the ACK to the transport automagically). If the final response was a 2xx, the ACK is not considered part of the transaction (the transaction user needs to generate and send the ACK).

This library is not strictly RFC compliant with regard to ACK handling for 2xx final responses. Specifically, retransmissions of ACKs to a 2xx final responses is handled by the transaction layer (instead of the UAC core). The "standard" approach is for the UAC core to receive all 2xx responses and manage sending ACK retransmissions to the transport directly. Herein the transaction layer manages sending ACKs to 2xx responses and any retransmissions of those ACKs as needed.

<b>Signature:</b>

```typescript
ackResponse(ack: OutgoingRequestMessage): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  ack | [OutgoingRequestMessage](./sip.js.outgoingrequestmessage.md) | The outgoing ACK request. |

<b>Returns:</b>

void

