<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [TransactionUser](./sip.js.transactionuser.md)

## TransactionUser interface

Transaction User (TU).

<b>Signature:</b>

```typescript
export interface TransactionUser 
```

## Remarks

The layer of protocol processing that resides above the transaction layer. Transaction users include the UAC core, UAS core, and proxy core. https://tools.ietf.org/html/rfc3261\#section-5 https://tools.ietf.org/html/rfc3261\#section-6

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [loggerFactory](./sip.js.transactionuser.loggerfactory.md) |  | [LoggerFactory](./sip.js.loggerfactory.md) | Logger factory. |
|  [onStateChange](./sip.js.transactionuser.onstatechange.md) |  | (newState: [TransactionState](./sip.js.transactionstate.md)<!-- -->) =&gt; void | <p>Callback for notification of transaction state changes.</p><p>Not called when transaction is constructed, so there is no notification of entering the initial transaction state. Otherwise, called once for each transaction state change. State changes adhere to the following RFCs. https://tools.ietf.org/html/rfc3261\#section-17 https://tools.ietf.org/html/rfc6026</p> |
|  [onTransportError](./sip.js.transactionuser.ontransporterror.md) |  | (error: [TransportError](./sip.js.transporterror.md)<!-- -->) =&gt; void | <p>Callback for notification of a transport error.</p><p>If a fatal transport error is reported by the transport layer (generally, due to fatal ICMP errors in UDP or connection failures in TCP), the condition MUST be treated as a 503 (Service Unavailable) status code. https://tools.ietf.org/html/rfc3261\#section-8.1.3.1 https://tools.ietf.org/html/rfc3261\#section-17.1.4 https://tools.ietf.org/html/rfc3261\#section-17.2.4 https://tools.ietf.org/html/rfc6026</p> |

