<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [sip.js](./sip.js.md) &gt; [UserAgentCore](./sip.js.useragentcore.md)

## UserAgentCore class

User Agent Core.

<b>Signature:</b>

```typescript
export declare class UserAgentCore 
```

## Remarks

Core designates the functions specific to a particular type of SIP entity, i.e., specific to either a stateful or stateless proxy, a user agent or registrar. All cores, except those for the stateless proxy, are transaction users. https://tools.ietf.org/html/rfc3261\#section-6

UAC Core: The set of processing functions required of a UAC that reside above the transaction and transport layers. https://tools.ietf.org/html/rfc3261\#section-6

UAS Core: The set of processing functions required at a UAS that resides above the transaction and transport layers. https://tools.ietf.org/html/rfc3261\#section-6

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(configuration, delegate)](./sip.js.useragentcore._constructor_.md) |  | Constructor. |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [configuration](./sip.js.useragentcore.configuration.md) |  | [UserAgentCoreConfiguration](./sip.js.useragentcoreconfiguration.md) | Configuration. |
|  [delegate](./sip.js.useragentcore.delegate.md) |  | [UserAgentCoreDelegate](./sip.js.useragentcoredelegate.md) | Delegate. |
|  [dialogs](./sip.js.useragentcore.dialogs.md) |  | Map&lt;string, [Dialog](./sip.js.dialog.md)<!-- -->&gt; | Dialogs. |
|  [loggerFactory](./sip.js.useragentcore.loggerfactory.md) |  | [LoggerFactory](./sip.js.loggerfactory.md) | Logger factory. |
|  [subscribers](./sip.js.useragentcore.subscribers.md) |  | Map&lt;string, [SubscribeUserAgentClient](./sip.js.subscribeuseragentclient.md)<!-- -->&gt; | Subscribers. |
|  [transport](./sip.js.useragentcore.transport.md) |  | [Transport](./sip.js.transport.md) | Transport. |
|  [userAgentClients](./sip.js.useragentcore.useragentclients.md) |  | Map&lt;string, [UserAgentClient](./sip.js.useragentclient.md)<!-- -->&gt; | UACs. |
|  [userAgentServers](./sip.js.useragentcore.useragentservers.md) |  | Map&lt;string, [UserAgentServer](./sip.js.useragentserver.md)<!-- -->&gt; | UASs. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [dispose()](./sip.js.useragentcore.dispose.md) |  | Destructor. |
|  [invite(request, delegate)](./sip.js.useragentcore.invite.md) |  | Send INVITE. |
|  [makeOutgoingRequestMessage(method, requestURI, fromURI, toURI, options, extraHeaders, body)](./sip.js.useragentcore.makeoutgoingrequestmessage.md) |  | Outgoing request message factory function. |
|  [message(request, delegate)](./sip.js.useragentcore.message.md) |  | Send MESSAGE. |
|  [publish(request, delegate)](./sip.js.useragentcore.publish.md) |  | Send PUBLISH. |
|  [receiveIncomingRequestFromTransport(message)](./sip.js.useragentcore.receiveincomingrequestfromtransport.md) |  | Handle an incoming request message from the transport. |
|  [receiveIncomingResponseFromTransport(message)](./sip.js.useragentcore.receiveincomingresponsefromtransport.md) |  | Handle an incoming response message from the transport. |
|  [register(request, delegate)](./sip.js.useragentcore.register.md) |  | Send REGISTER. |
|  [replyStateless(message, options)](./sip.js.useragentcore.replystateless.md) |  | A stateless UAS is a UAS that does not maintain transaction state. It replies to requests normally, but discards any state that would ordinarily be retained by a UAS after a response has been sent. If a stateless UAS receives a retransmission of a request, it regenerates the response and re-sends it, just as if it were replying to the first instance of the request. A UAS cannot be stateless unless the request processing for that method would always result in the same response if the requests are identical. This rules out stateless registrars, for example. Stateless UASs do not use a transaction layer; they receive requests directly from the transport layer and send responses directly to the transport layer. https://tools.ietf.org/html/rfc3261\#section-8.2.7 |
|  [request(request, delegate)](./sip.js.useragentcore.request.md) |  | Send a request. |
|  [reset()](./sip.js.useragentcore.reset.md) |  | Reset. |
|  [subscribe(request, delegate)](./sip.js.useragentcore.subscribe.md) |  | Send SUBSCRIBE. |

